Bug 1204046 - [abrt] midori: operator new(unsigned long)(): midori killed by SIGABRT
Summary: [abrt] midori: operator new(unsigned long)(): midori killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: midori
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0fa5b7f794a625cce9190df20ad...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-20 09:11 UTC by Laszlo Pal
Modified: 2015-12-02 17:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:19:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (59.17 KB, text/plain)
2015-03-20 09:11 UTC, Laszlo Pal
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-20 09:12 UTC, Laszlo Pal
no flags Details
File: core_backtrace (32.82 KB, text/plain)
2015-03-20 09:12 UTC, Laszlo Pal
no flags Details
File: dso_list (15.26 KB, text/plain)
2015-03-20 09:12 UTC, Laszlo Pal
no flags Details
File: environ (1.83 KB, text/plain)
2015-03-20 09:12 UTC, Laszlo Pal
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-20 09:12 UTC, Laszlo Pal
no flags Details
File: maps (96.36 KB, text/plain)
2015-03-20 09:12 UTC, Laszlo Pal
no flags Details
File: open_fds (3.25 KB, text/plain)
2015-03-20 09:12 UTC, Laszlo Pal
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2015-03-20 09:12 UTC, Laszlo Pal
no flags Details

Description Laszlo Pal 2015-03-20 09:11:56 UTC
Version-Release number of selected component:
midori-0.5.9-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        midori
crash_function: operator new(unsigned long)
executable:     /usr/bin/midori
kernel:         3.18.9-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Fri 2015-01-16 02:14:43 CET, end at Fri 2015-03-20 10:01:01 CET. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 operator new(unsigned long) at ../../../../libstdc++-v3/libsupc++/new_op.cc:49
 #7 std::string::_Rep::_S_create(unsigned long, unsigned long, std::allocator<char> const&) at /usr/src/debug/gcc-4.9.2-20150212/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/ext/new_allocator.h:104
 #9 std::string::_Rep::_M_clone(std::allocator<char> const&, unsigned long) at /usr/src/debug/gcc-4.9.2-20150212/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:629
 #10 std::string::reserve(unsigned long) at /usr/src/debug/gcc-4.9.2-20150212/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:510
 #11 std::string::append(char const*, unsigned long) at /usr/src/debug/gcc-4.9.2-20150212/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:308
 #13 IcedTeaPluginUtilities::itoa(int, std::string*) at /usr/include/c++/4.9.2/bits/basic_string.h:1026
 #15 IcedTeaPluginUtilities::constructMessagePrefix(int, int, std::string*) at /usr/src/debug/icedtea-web-1.5.2/plugin/icedteanp/IcedTeaPluginUtils.cc:129
 #16 PluginRequestProcessor::finalize(std::vector<std::string*, std::allocator<std::string*> >*) at /usr/src/debug/icedtea-web-1.5.2/plugin/icedteanp/IcedTeaPluginRequestProcessor.cc:590
 #17 PluginRequestProcessor::newMessageOnBus(char const*) at /usr/src/debug/icedtea-web-1.5.2/plugin/icedteanp/IcedTeaPluginRequestProcessor.cc:123
 #18 MessageBus::post(char const*) at /usr/src/debug/icedtea-web-1.5.2/plugin/icedteanp/IcedTeaPluginUtils.cc:1362

Comment 1 Laszlo Pal 2015-03-20 09:11:59 UTC
Created attachment 1004377 [details]
File: backtrace

Comment 2 Laszlo Pal 2015-03-20 09:12:00 UTC
Created attachment 1004378 [details]
File: cgroup

Comment 3 Laszlo Pal 2015-03-20 09:12:02 UTC
Created attachment 1004379 [details]
File: core_backtrace

Comment 4 Laszlo Pal 2015-03-20 09:12:03 UTC
Created attachment 1004380 [details]
File: dso_list

Comment 5 Laszlo Pal 2015-03-20 09:12:04 UTC
Created attachment 1004381 [details]
File: environ

Comment 6 Laszlo Pal 2015-03-20 09:12:05 UTC
Created attachment 1004382 [details]
File: limits

Comment 7 Laszlo Pal 2015-03-20 09:12:07 UTC
Created attachment 1004383 [details]
File: maps

Comment 8 Laszlo Pal 2015-03-20 09:12:08 UTC
Created attachment 1004384 [details]
File: open_fds

Comment 9 Laszlo Pal 2015-03-20 09:12:09 UTC
Created attachment 1004385 [details]
File: proc_pid_status

Comment 10 Kevin Fenzi 2015-03-20 12:05:57 UTC
What were you doing when this happened?

Can you get the crash to happen again?

Comment 11 Laszlo Pal 2015-03-20 13:36:39 UTC
Hi,

I suppose this is related to icedtea java. I've got this after opened a website requires java runtime. The page opens, and works fine, but the above abrt generated

This is my version of icedtea
Installed Packages
Name        : icedtea-web
Arch        : x86_64
Version     : 1.5.2
Release     : 0.fc21
Size        : 1.8 M
Repo        : installed
From repo   : updates

Comment 12 Fedora End Of Life 2015-11-04 15:38:57 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 10:19:15 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.